curl --request GET \
--url https://demo.enneo.ai/api/mind/profile \
--header 'Authorization: Bearer <token>'{
"id": 1,
"settings": {
"status": "available",
"supersetRole": "<string>",
"ticketsFilters": {
"groups": [
1
],
"intents": [
"process_meter_reading"
],
"tagIds": [
1
],
"personalQueue": true,
"onlyIntents": true
},
"roleId": 1,
"teamIds": [
1
],
"skills": {
"tagIds": [
1,
2
],
"channels": [
"email",
"chat"
]
},
"actualRoleId": 1,
"actualTeamIds": [
1
],
"actualSkills": {
"intents": [
"process_meter_reading"
],
"tagIds": [
1
],
"channels": [
"email"
]
},
"limitTicketBacklogAccess": false,
"ticketBacklogRequiredTagIds": [
1
],
"tagsOnRoute": [
1
],
"tagsOnEdit": [
1
],
"actualLimitTicketBacklogAccess": false,
"actualTicketBacklogRequiredTagIds": [
1
],
"actualTagsOnRoute": [
1
],
"actualTagsOnEdit": [
1
],
"isPersonalFilters": false,
"inheritTeamSettings": false,
"nameReports": "Tapfere Feige",
"callRoutingStatus": "idle",
"chatRoutingStatus": "idle"
},
"permissions": [
"updateTicket",
"updateIntent",
"executeIntent"
],
"openTickets": [
{
"id": 376189,
"channel": "email",
"blinking": false,
"subject": "Kündigung"
},
{
"id": 659332,
"channel": "email",
"blinking": false,
"subject": "Meine Rechnung"
},
{
"id": 613771,
"channel": "email",
"blinking": false,
"subject": "Mein Zählerstand"
}
],
"sideConversations": [
{
"id": 123,
"type": "group",
"groupId": 312121,
"userId": null
},
{
"id": 234,
"type": "individual",
"groupId": null,
"userId": 2123
}
],
"unreadNotifications": 1
}curl --request GET \
--url https://demo.enneo.ai/api/mind/profile \
--header 'Authorization: Bearer <token>'{
"id": 1,
"settings": {
"status": "available",
"supersetRole": "<string>",
"ticketsFilters": {
"groups": [
1
],
"intents": [
"process_meter_reading"
],
"tagIds": [
1
],
"personalQueue": true,
"onlyIntents": true
},
"roleId": 1,
"teamIds": [
1
],
"skills": {
"tagIds": [
1,
2
],
"channels": [
"email",
"chat"
]
},
"actualRoleId": 1,
"actualTeamIds": [
1
],
"actualSkills": {
"intents": [
"process_meter_reading"
],
"tagIds": [
1
],
"channels": [
"email"
]
},
"limitTicketBacklogAccess": false,
"ticketBacklogRequiredTagIds": [
1
],
"tagsOnRoute": [
1
],
"tagsOnEdit": [
1
],
"actualLimitTicketBacklogAccess": false,
"actualTicketBacklogRequiredTagIds": [
1
],
"actualTagsOnRoute": [
1
],
"actualTagsOnEdit": [
1
],
"isPersonalFilters": false,
"inheritTeamSettings": false,
"nameReports": "Tapfere Feige",
"callRoutingStatus": "idle",
"chatRoutingStatus": "idle"
},
"permissions": [
"updateTicket",
"updateIntent",
"executeIntent"
],
"openTickets": [
{
"id": 376189,
"channel": "email",
"blinking": false,
"subject": "Kündigung"
},
{
"id": 659332,
"channel": "email",
"blinking": false,
"subject": "Meine Rechnung"
},
{
"id": 613771,
"channel": "email",
"blinking": false,
"subject": "Mein Zählerstand"
}
],
"sideConversations": [
{
"id": 123,
"type": "group",
"groupId": 312121,
"userId": null
},
{
"id": 234,
"type": "individual",
"groupId": null,
"userId": 2123
}
],
"unreadNotifications": 1
}JWT-based authentication
Successful operation
User ID
1
Anzeigen untergeordnete attribute
[
"updateTicket",
"updateIntent",
"executeIntent"
]Anzeigen untergeordnete attribute
[
{
"id": 376189,
"channel": "email",
"blinking": false,
"subject": "Kündigung"
},
{
"id": 659332,
"channel": "email",
"blinking": false,
"subject": "Meine Rechnung"
},
{
"id": 613771,
"channel": "email",
"blinking": false,
"subject": "Mein Zählerstand"
}
]Anzeigen untergeordnete attribute
[
{
"id": 123,
"type": "group",
"groupId": 312121,
"userId": null
},
{
"id": 234,
"type": "individual",
"groupId": null,
"userId": 2123
}
]1